LASi.h File Reference

Defines oPostscriptStream and PostscriptDocument and various stream manipulators. More...

`#include <string>`
`#include <ostream>`
`#include <sstream>`
`#include <map>`
`#include <pango/pango.h>`
`#include <ft2build.h>`

Go to the source code of this file.

## Classes

class | LASi::oPostscriptStream
| Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument. More...
class | LASi::PostscriptDocument
| Composes Postscript document as three separate and independant streams for header, body and footer. More...
class | LASi::PostscriptDocument::GlyphId
| For internal use only. More...
class | LASi::PostscriptDocument::write_glyph_routine_to_stream
| For internal use only. More...
class | LASi::setFont
| stream manipulator applied to oPostscriptStream. More...
class | LASi::setFontSize
| stream manipulator applied to oPostscriptStream. More...
class | LASi::show
| stream applicator applied to oPostscriptStream. More...

## Namespaces

| LASi

## Macros

#define | LASIDLLEXPORT
#define | LASIDLLIMPORT
#define | LASIDLLIMPEXP
#define | LASIDLLIMPEXP_DATA(type) type

## Enumerations

enum | LASi::FontStyle { LASi::NORMAL_STYLE, LASi::OBLIQUE, LASi::ITALIC }
enum | LASi::FontWeight { LASi::ULTRALIGHT, LASi::LIGHT, LASi::NORMAL_WEIGHT, LASi::BOLD, LASi::ULTRABOLD, LASi::HEAVY }
enum | LASi::FontVariant { LASi::NORMAL_VARIANT, LASi::SMALLCAPS }
enum | LASi::FontStretch { LASi::ULTRACONDENSED, LASi::EXTRACONDENSED, LASi::CONDENSED, LASi::SEMICONDENSED, LASi::NORMAL_STRETCH, LASi::SEMIEXPANDED, LASi::EXPANDED, LASi::EXTRAEXPANDED, LASi::ULTRAEXPANDED }

## Functions

template<class T >
oPostscriptStream & | LASi::operator<< (oPostscriptStream &os, T t)

## Detailed Description

Defines oPostscriptStream and PostscriptDocument and various stream manipulators.

## Macro Definition Documentation

## LASIDLLEXPORT

#define LASIDLLEXPORT

## LASIDLLIMPEXP

#define LASIDLLIMPEXP

## LASIDLLIMPEXP_DATA

#define LASIDLLIMPEXP_DATA | ( |  | type | ) | type

## LASIDLLIMPORT

#define LASIDLLIMPORT